"""
Django settings for sadra project.

Generated by 'django-admin startproject' using Django 3.0.3.

For more information on this file, see
https://docs.djangoproject.com/en/3.0/topics/settings/

For the full list of settings and their values, see
https://docs.djangoproject.com/en/3.0/ref/settings/
"""

import os

# Build paths inside the project like this: os.path.join(BASE_DIR, ...)
BASE_DIR = os.path.dirname(os.path.dirname(os.path.abspath(__file__)))


# Quick-start development settings - unsuitable for production
# See https://docs.djangoproject.com/en/3.0/howto/deployment/checklist/

# SECURITY WARNING: keep the secret key used in production secret!
SECRET_KEY = '2a4x0w044+8*w-e-9(!5axhnrwr#m4g_va@-7j(h@cocwbt8bk'

# SECURITY WARNING: don't run with debug turned on in production!
DEBUG = True

ALLOWED_HOSTS = ['*']


# Application definition

INSTALLED_APPS = [
    'ProviderManager.apps.ProvidermanagerConfig',
    'LazarusModel.apps.LazarusmodelConfig',
    'RFMModel.apps.RfmmodelConfig',
    'LinkManager.apps.LinkmanagerConfig',
    'ScenarioManager.apps.ScenariomanagerConfig',
    'CrossSellModel.apps.CrosssellmodelConfig',
    'django_celery_beat',
    'PromotionManager.apps.PromotionmanagerConfig',
    'ServiceManager.apps.ServicemanagerConfig',
    'MessageManager.apps.MessagemanagerConfig',
    'SMSManager.apps.SmsmanagerConfig',
    'CustomerManager.apps.CustomermanagerConfig',
    'django.contrib.admin',
    'django.contrib.auth',
    'django.contrib.contenttypes',
    'django.contrib.sessions',
    'django.contrib.messages',
    'django.contrib.staticfiles',
]

MIDDLEWARE = [
    'django.middleware.security.SecurityMiddleware',
    'django.contrib.sessions.middleware.SessionMiddleware',
    'django.middleware.common.CommonMiddleware',
    'django.middleware.csrf.CsrfViewMiddleware',
    'django.contrib.auth.middleware.AuthenticationMiddleware',
    'django.contrib.messages.middleware.MessageMiddleware',
    'django.middleware.clickjacking.XFrameOptionsMiddleware',
]

ROOT_URLCONF = 'sadra.urls'

TEMPLATES = [
    {
        'BACKEND': 'django.template.backends.django.DjangoTemplates',
        'DIRS': [],
        'APP_DIRS': True,
        'OPTIONS': {
            'context_processors': [
                'django.template.context_processors.debug',
                'django.template.context_processors.request',
                'django.contrib.auth.context_processors.auth',
                'django.contrib.messages.context_processors.messages',
            ],
        },
    },
]

WSGI_APPLICATION = 'sadra.wsgi.application'


# Database
# https://docs.djangoproject.com/en/3.0/ref/settings/#databases

DATABASES = {
    'default': {
        'ENGINE': 'django.db.backends.postgresql_psycopg2',
        'NAME': 'sadradna_01',
        'USER': 'alich',
        'PASSWORD': 'sadra9010113397',
        'HOST': '127.0.0.1',
        'PORT': '5432',
    }
}


# Password validation
# https://docs.djangoproject.com/en/3.0/ref/settings/#auth-password-validators

AUTH_PASSWORD_VALIDATORS = [
    {
        'NAME': 'django.contrib.auth.password_validation.UserAttributeSimilarityValidator',
    },
    {
        'NAME': 'django.contrib.auth.password_validation.MinimumLengthValidator',
    },
    {
        'NAME': 'django.contrib.auth.password_validation.CommonPasswordValidator',
    },
    {
        'NAME': 'django.contrib.auth.password_validation.NumericPasswordValidator',
    },
]


# Internationalization
# https://docs.djangoproject.com/en/3.0/topics/i18n/

LANGUAGE_CODE = 'en-us'

TIME_ZONE = 'UTC'

USE_I18N = True

USE_L10N = True

USE_TZ = False


# Static files (CSS, JavaScript, Images)
# https://docs.djangoproject.com/en/3.0/howto/static-files/

STATIC_URL = '/static/'

SENDER = '10005411'
API_KEY = '4D68674B546D55775A4468734D5A3467446E6F326B673D3D'

BACK_OFFICE_TOKEN = '33a87565bcbe84de1b49f344d0200478a38187da29c155cc98184d9d33dca088d70054e0fce321f7a90c48a14963d0ace2b4e7a24b21c14a5e671994fe1f7d22'

BACK_OFFICE_AUTH_HEADER = {
    'Authorization': f'Bearer {BACK_OFFICE_TOKEN}'
    }

BACK_OFFICE_BASE_URL = 'https://api.ostadkr.com'

CELERY_TIMEZONE = "UTC"
DJANGO_CELERY_BEAT_TZ_AWARE = False
CELERY_BROKER_URL = "redis://localhost:6379/0"
# CELERY_TASK_TRACK_STARTED = True
# CELERY_TASK_TIME_LIMIT = 30 * 60


PROMOTION_MANAGER_GOOGLE_SHEETS_ID = '1HIn0H-ORNW_O5XZXLtIeWWoWdMKPRIsW8NKBrJ2VZmg'
PROVIDER_PERFORMANCE_MANAGER_GOOGLE_SHEETS_ID = '1_9DFlsn_QUcI6fscndfKn6uBa3gNBFzp1SlrtVYXlqg'

MESSAGE_MANAGER_GOOGLE_SHEETS_ID = '1F_ykCsWM6KM0BcmkB3AmdMO3LqJGhfKZ5-xVY8sc_zM'